function [regions,varargout] = algorithm_heuristic_search(im,image_meta,varargin)

if (~isempty(varargin))
    if (~isempty(varargin{1}))
        max_tile_row = varargin{1}.max_tile_row;    
        max_tile_col = varargin{1}.max_tile_col;
    end
end

calibration_file = '../calibration/40x_1x1_info.txt';
calibration_meta = read_metadata(calibration_file,[]);
calibration_tile = [0 0 calibration_meta.absolute_length];

[blobs,im_labels] = find_specimens(im);


min_cost = inf;
min_row = -1;
min_col = -1;
min_regions = [];
for x_row = 1:max_tile_row
    for x_col =1:max_tile_col
        params.n_tile_row  = x_row;
        params.n_tile_col = x_col;
        
        [regions] = algorithm_heuristic(im,image_meta,params);
        [cost_tmp,coverage_cost,time_cost,autofocus_time,scanning_time] = ...
            compute_objective(regions,blobs,im_labels,calibration_tile,image_meta);                
        if (min_cost > cost_tmp && coverage_cost < 0.07)
                min_cost = cost_tmp;
                min_row = x_row;
                min_col = x_col;
                min_regions = regions;
        end
    end
end

regions = min_regions;
varargout{1}.min_row = min_row;
varargout{1}.min_col = min_col;
disp([' heuristic search: ' num2str(min_row) ' ' num2str(min_col)]);