function [cost, autofocus_time, scanning_time] = compute_time_cost(regions_in_pixels,tile_in_pixels)

AUTOFOCUS_TIME = 4; %seconds
TOTAL_TIME = 15 * 60; %15 minutes: 600 seconds
TILE_TIME = 2; % seconds


n_regions = size(regions_in_pixels,1);

n_tiles = 0;
for x_region = 1:n_regions
    n_reg = ceil(regions_in_pixels(x_region,3:4) ./ tile_in_pixels(3:4));
    n_tiles = n_tiles + n_reg(1) * n_reg(2);
end

autofocus_time = n_regions * AUTOFOCUS_TIME;
scanning_time = n_tiles * TILE_TIME;
cost = (autofocus_time + scanning_time) / TOTAL_TIME;
% if (cost > 1)
%     cost = 1;
% end