function [blobs,im_labels] = find_specimens(im)

im_blue = im(:,:,3);
gray_threshold = 40;
% im_bw = im2bw(im_blue,graythresh(im_blue));
im_bw = im_blue > gray_threshold;

se = strel('disk',10);
im_bw = imclose(im_bw,se);

im_labels = bwlabel(im_bw);

blobs_ids = unique(im_labels);

threshold = 1500;

blobs = [];

for x_blob = 1:length(blobs_ids)
    if (blobs_ids(x_blob) == 0)
        continue;
    end
    
    blob_size = sum(sum(im_labels == blobs_ids(x_blob)));
    if (blob_size > threshold )
        [row,col] = find(im_labels == blobs_ids(x_blob));
        bbox = [min(col) min(row) abs(min(col) - max(col)) abs(min(row) - max(row)) ];
        if (bbox(1) < 160 && bbox(2) > 350)
            continue;
        end
        if (isempty(blobs))
            blobs.size = blob_size;
            blobs.bbox = bbox;
            blobs.id = blobs_ids(x_blob);
        else
             
            blobs_tmp.size = blob_size;
            blobs_tmp.bbox = bbox;
            blobs_tmp.id = blobs_ids(x_blob);
            blobs(end+1) = blobs_tmp;
        end
            
    end
    
end


